Summary:	A simple painting program
Summary(pl.UTF-8):	Prosty program graficzny
Name:		mtpaint
Version:	3.40
Release:	6
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/mtpaint/%{name}-%{version}.tar.bz2
# Source0-md5:	957c8035dd62c6bfdb594cd0a4467d22
Source1:	%{name}.desktop
URL:		http://mtpaint.sourceforge.net/
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2.27
BuildRequires:	libtiff-devel
BuildRequires:	openjpeg-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRequires:	zlib-devel
Requires:	desktop-file-utils
Requires:	shared-mime-info
Suggests:	gifsicle
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple GTK+ paint program.

%description -l pl.UTF-8
Prosty program graficzny oparty na bibliotece GTK+.

%prep
%setup -q

%build
./configure gtk2 thread GIF man pod intl jpeg jp2 tiff \
	--mandir=%{_mandir}/man1 \
	--prefix=%{_prefix}
cat >> _conf.txt <<EOF
LDFLAG += %{rpmldflags}
CFLAG  += %{rpmcflags} $(pkg-config --cflags-only-I libopenjpeg1)
CC = %{__cc} -Wall -Wno-pointer-sign
EOF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install src/icons1/icon.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.xpm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
umask 022
update-mime-database %{_datadir}/mime ||:

%postun
%update_desktop_database_postun
if [ $1 = 0 ]; then
        umask 022
        update-mime-database %{_datadir}/mime
fi


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mtpaint.git;a=log;h=master

* Fri Nov 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 74ff9e4
- rel 6; build fixed

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5abce7e
- release 5 (by relup.sh)

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c7eb3b
- release 4

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 13dabea
- release 3

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b4f56ff
- release 2

* Wed Jan 11 2012 Łukasz Krotowski <lkrotowski@pld-linux.org> 81560d7
- up to 3.40

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 42a0b2e
- release 3

* Tue Feb 23 2010 sparky <sparky@pld-linux.org> 074dfa0
- BR: pkgconfig, which

* Mon Feb 22 2010 Krzysztof Krakowiak <evil@pld-linux.org> ba68a79
- specify to build with jpeg/GIF/tiff support instead of autodetection

* Mon Feb 22 2010 Krzysztof Krakowiak <evil@pld-linux.org> 823a884
- fixed building against new libpng by adding appropiate patch

* Mon Oct 12 2009 sparky <sparky@pld-linux.org> 1a52e7d
- fix compile flags

* Mon Oct 12 2009 Krzysztof Krakowiak <evil@pld-linux.org> e96d113
- updated to 3.31
- license changed to GPL v3+
- BR: openjpeg-devel
- S: gifsicle
- added proper man directory
- removed no longer needed sed rule
- fixed typos

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 5b7c7b6
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6968b9f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 03db719
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 9a73924
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Fri Apr 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 45b40db
- files fix, cosmetics

* Sun Apr 09 2006 japhy <japhy@pld-linux.org> 3949d91
- Updated .desktop to set MIME types
- Update desktop and MIME databases, R: accordingly
- BR: sorted
- Rel 1

* Sun Apr 09 2006 japhy <japhy@pld-linux.org> 564c622
- Set MimeType, fix Categories.

* Sun Apr 09 2006 japhy <japhy@pld-linux.org> 9caa2f8
- New spec file.

